List GPU Nodes

1 - 1.2

get /v1/gpu-nodes

Description

List GPU Nodes.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querygpu_node_name
optional
GPU Node 이름
Example : gpu-node-001
any of [string, null]None
querystate
optional
GPU Node State
Example : RUNNING
any of [string, null]None
queryip
optional
Gpu Node ip
Example : 192.168.0.1
any of [string, null]None
queryvpc_id
optional
VPC ID
Example : e58348b1bc9148e5af86500fd4ef99ca
any of [string, null]None
querycluster_fabric_name
optional
Cluster Fabric 이름
Example : cluster001
any of [string, null]None
querycluster_fabric_id
optional
Cluster Fabric ID
Example : 20c507a036c447cdb3b19468d8ea62ac
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKGpuNodeListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gpu-nodes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = multinodegpucluster 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "gpu_nodes": [
        {
            "account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
            "cluster_fabric_id": "20c507a036c447cdb3b19468d8ea62ac",
            "cluster_fabric_name": "cluster001",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "gpu_node_name": "gpu-node-001",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "image_id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
            "image_version": "RHEL 8.7 for BM",
            "init_script": "init script",
            "lock_enabled": true,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "network_id": "ab313c43291e4b678f4bacffe10768ae",
            "node_pool_id": "POOL001-krw1a",
            "os_type": "WINDOWS",
            "pfs_ip": [
                "10.252.128.2",
                "10.252.128.3"
            ],
            "policy_ip": "192.168.0.1",
            "policy_nat": "192.168.0.1",
            "policy_use_nat": true,
            "product_type_id": "f90e8ef54cc2451b825608e9f95f7bcb",
            "region_id": "kr-west1",
            "root_account": "rootaccount",
            "server_type": "s1v8m32_metal",
            "state": "RUNNING",
            "time_zone": "Asia/Seoul",
            "vpc_id": "e58348b1bc9148e5af86500fd4ef99ca"
        }
    ]
}